## org.eclipse.emf.common.ui.editor
Class ProblemEditorPart.TextProvider

    java.lang.Object
      org.eclipse.emf.common.ui.DiagnosticComposite.TextProvider
          org.eclipse.emf.common.ui.editor.ProblemEditorPart.TextProvider

Enclosing class:
  ProblemEditorPart

    public static class ProblemEditorPart.TextProvider

extends DiagnosticComposite.TextProvider

Since 2.3.0

Constructor Summary
`ProblemEditorPart.TextProvider()`

Method Summary
`java.lang.String` `getMessage(Diagnostic rootDiagnostic)` Returns the message to be displayed next to the icon, at the top of the editor.

Methods inherited from class org.eclipse.emf.common.ui.DiagnosticComposite.TextProvider
`getDetail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemEditorPart.TextProvider

    public ProblemEditorPart.TextProvider()

Method Detail

### getMessage

    public java.lang.String getMessage(Diagnostic rootDiagnostic)

  Returns the message to be displayed next to the icon, at the top of the editor.

  Returns:
    a not null String

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.